package com.zy.bms.controller;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.entity.Group;
import com.zy.bms.pojo.io.GroupIO;
import com.zy.bms.service.IGroupService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设备组 前端控制器
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@RestController
@RequestMapping("/bms/api/operate/group")
public class GroupController {

    @Resource
    private IGroupService groupService;

    /**
     * 分页查询所有设备组
     */
    @GetMapping("listPage.do")
    public ServerResponse listPage(GroupIO io) {
        return ServerResponse.success(groupService.listPage(io));
    }

    /**
     * 查询所有的设备组
     */
    @GetMapping("listAll.do")
    public ServerResponse listAll() {
        return ServerResponse.success(groupService.getAllList());
    }

    /**
     * 添加设备组
     */
    @PostMapping("save.do")
    public ServerResponse save(Group group) {
        try {
            group.setItemId(1);
            groupService.save(group);
        } catch (Exception e) {
            return ServerResponse.warning("设备组编号重复!");
        }
        return ServerResponse.success();
    }

    /**
     * 修改设备组信息
     */
    @PostMapping("update.do")
    public ServerResponse update(Group group) {
        try {
            groupService.updateById(group);
        } catch (Exception e) {
            return ServerResponse.warning("设备组编号重复!");
        }
        return ServerResponse.success();
    }

}
