package com.zy.bms.pojo.vo;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * 普适型
 * 设备基础信息,状态信息Vo
 *
 * @author yang xiao kun
 * create on 2021/5/12
 */
@Data
public class UbiDeviceListVo {
    /**
     * 设备随机码
     */
    private String openNum;
    /**
     * 登录 MQTT 账号
     */
    private String username;

    /**
     * 登录 MQTT 密码
     */
    private String password;

    /**
     * 设备组
     */
    private String groupId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 心跳包间隔,单位:秒
     */
    private Integer freq;

    /**
     * 电压
     */
    private Integer powerVolt;

    /**
     * 信号强度
     */
    private Integer signal4g;

    /**
     * 软件版本号
     */
    private String version;

    /**
     * 数据更新时间
     */
    private LocalDateTime updateTime;

    public Integer getStatus() {
        if (updateTime == null || freq == null) return 0;
        return LocalDateTime.now().isAfter(updateTime.plusSeconds(freq + 500)) ? 0 : 1;
    }
}
