package com.zy.bms.sender;

import com.zy.bms.common.Constant;
import com.zy.bms.entity.DeviceBase;
import com.zy.bms.pojo.dto.MqttDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author yang xiao kun
 * create on 2021/10/26
 */
@Slf4j
@Component
public class CommonSender extends BaseSender {
    /**
     * 处理设备注册请求
     * 返回登录密码
     *
     * @param device 设备信息
     */
    public void register(DeviceBase device) {
        MqttDTO mqttDTO = new MqttDTO(Constant.M.HANDLE_REGISTER);
        mqttDTO.put("regnum", device.getOpenNum())
                .put("password", device.getPassword())
                .put("group", device.getGroupId())
                .put("sn", device.getSn());
        send(Constant.TOPIC.REGISTER_CLIENT, mqttDTO.json());
    }
}
