package com.zy.bms.sender;

import com.zy.bms.common.Constant;
import com.zy.bms.pojo.dto.MqttDTO;
import com.zy.bms.pojo.dto.WakeAndThreshLpDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;


/**
 * 路牌
 * 发送 MQTT 消息
 *
 * @author yang xiao kun
 * create on 2021/10/26
 */
@Slf4j
@Component
public class LpSender extends BaseSender {

    /**
     * 设置唤醒时间和阈值
     */
    public void setWakeAndThreshLp(WakeAndThreshLpDTO dto) {
        MqttDTO mqttDTO = new MqttDTO(Constant.M.LP_SET_LOCAL_INFO);
        mqttDTO.put("setf", dto.getSetf())
                .put("wakeint", dto.getWakeInt())
                .put("thresh", dto.getThresh()).
                put("getlocation", dto.getGetLocation());
        send(Constant.TOPIC.DEVICE_CLIENT_LP + dto.getOpenNum(), mqttDTO.json());
    }
}
